## org.eclipse.datatools.sqltools.sqleditor.internal
Class SymbolInserter

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.SymbolInserter

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.text.link.ILinkedModeListener, org.eclipse.swt.custom.VerifyKeyListener, org.eclipse.swt.internal.SWTEventListener

    public class SymbolInserter

extends java.lang.Object
implements org.eclipse.swt.custom.VerifyKeyListener, org.eclipse.jface.text.link.ILinkedModeListener

Author:
  Li Huang

Field Summary

Fields inherited from interface org.eclipse.jface.text.link.ILinkedModeListener
`EXIT_ALL, EXTERNAL_MODIFICATION, NONE, SELECT, UPDATE_CARET`

Constructor Summary
`SymbolInserter(SQLEditor editor)`

Method Summary
`static char` `getEscapeCharacter(char character)`
`static char` `getPeerCharacter(char character)`
`void` `left(org.eclipse.jface.text.link.LinkedModeModel environment, int flags)`
`void` `resume(org.eclipse.jface.text.link.LinkedModeModel environment, int flags)`
`void` `setCloseBracketsEnabled(boolean enabled)`
`void` `setCloseDoubleQuotesEnabled(boolean enabled)`
`void` `setCloseSingleQuotesEnabled(boolean enabled)`
`void` `suspend(org.eclipse.jface.text.link.LinkedModeModel environment)`
`void` `verifyKey(org.eclipse.swt.events.VerifyEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolInserter

    public SymbolInserter(SQLEditor editor)

Method Detail

### setCloseSingleQuotesEnabled

    public void setCloseSingleQuotesEnabled(boolean enabled)

### setCloseDoubleQuotesEnabled

    public void setCloseDoubleQuotesEnabled(boolean enabled)

### setCloseBracketsEnabled

    public void setCloseBracketsEnabled(boolean enabled)

### verifyKey

    public void verifyKey(org.eclipse.swt.events.VerifyEvent event)

  Specified by:
    `verifyKey` in interface `org.eclipse.swt.custom.VerifyKeyListener`

### left

    public void left(org.eclipse.jface.text.link.LinkedModeModel environment,
                     int flags)

  Specified by:
    `left` in interface `org.eclipse.jface.text.link.ILinkedModeListener`

### suspend

    public void suspend(org.eclipse.jface.text.link.LinkedModeModel environment)

  Specified by:
    `suspend` in interface `org.eclipse.jface.text.link.ILinkedModeListener`

### resume

    public void resume(org.eclipse.jface.text.link.LinkedModeModel environment,
                       int flags)

  Specified by:
    `resume` in interface `org.eclipse.jface.text.link.ILinkedModeListener`

### getEscapeCharacter

    public static char getEscapeCharacter(char character)

### getPeerCharacter

    public static char getPeerCharacter(char character)